aboutsummarylogtreecommitdiffstats
path: root/upload
diff options
context:
space:
mode:
authorBen Alex2015-06-10 14:11:50 +1000
committerBen Alex2015-06-10 14:15:06 +1000
commit5d13392e5834c7a0e726ec3cb18ef8979ad687f6 (patch)
tree23b717192afbd8668025305c2b1268e597ecd0e0 /upload
parent8da1339d174ca9919f8137760e2bdf098aed30a4 (diff)
downloadaur-5d13392e5834c7a0e726ec3cb18ef8979ad687f6.tar.gz
Additional AUR maintenance files formerly stored at GitHub
Diffstat (limited to 'upload')
-rwxr-xr-xupload24
1 files changed, 24 insertions, 0 deletions
diff --git a/upload b/upload
new file mode 100755
index 000000000000..389b4b483317
--- /dev/null
+++ b/upload
@@ -0,0 +1,24 @@
+#!/bin/bash
+
+PRG="$0"
+
+while [ -h "$PRG" ]; do
+ ls=`ls -ld "$PRG"`
+ link=`expr "$ls" : '.*-> \(.*\)$'`
+ if expr "$link" : '/.*' > /dev/null; then
+ PRG="$link"
+ else
+ PRG=`dirname "$PRG"`/"$link"
+ fi
+done
+SCRIPT_HOME=`dirname "$PRG"`
+
+$SCRIPT_HOME/update
+if [ "$?" -eq 1 ]; then
+ echo "Uploading updated TWS"
+ burp -c office $SCRIPT_HOME/*.gz
+ echo "Updating Git"
+ cd $SCRIPT_HOME
+ git commit -a -m "Commit from upload script due to new version"
+ git push
+fi